Bug 1787458 - protobuf-lite-devel missing from RHEL/CentOS 8
Summary: protobuf-lite-devel missing from RHEL/CentOS 8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: protobuf
Version: 8.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Adrian Reber
QA Contact: Chao Ye
Jaroslav Klech
URL:
Whiteboard:
Depends On:
Blocks: 1816460 1819237 1825061
TreeView+ depends on / blocked
 
Reported: 2020-01-02 22:48 UTC by Filipe Brandenburger
Modified: 2020-11-04 03:26 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-04 03:24:46 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:4733 0 None None None 2020-11-04 03:24:49 UTC

Description Filipe Brandenburger 2020-01-02 22:48:04 UTC
protobuf (https://src.fedoraproject.org/rpms/protobuf) normally generates, among other sub-packages, protobuf-lite-devel.

That package is however missing from RHEL/CentOS 8, even with PowerTools (on CentOS) / Code Ready Builder (CRB) (on RHEL) enabled.

Package protobuf-lite itself is available from AppStream.

Packages protobuf-devel and protobuf-compiler are available from PowerTools.

But protobuf-lite-devel is missing.

`dnf provides /usr/lib64/pkgconfig/protobuf-lite.pc` also says no matches found.

Can we please get it included?

Also related:
* https://bugzilla.redhat.com/show_bug.cgi?id=1765844 ("protobuf-python3 missing from RHEL/CentOS 8" but really addressed the packages in PowerTools.)
* https://pagure.io/epel/issue/90

Thanks!
Filipe

Comment 1 Filipe Brandenburger 2020-01-06 21:37:42 UTC
Any comments on this one?

Can I help in any way?

It seems to me this should be simple, the package is likely already being built, so it's just the matter of including it in the appropriate repositories for CentOS 8 (PowerTools) and RHEL 8 (CBR, I believe.)

In specific, the problem I'm trying to solve is provide a build for EternalTerminal in EPEL. EternalTerminal uses protobuf-lite, but unfortunately I can't build it without an appropriate protobuf-lite-devel and there's really no good way for me to get that package... Adding that package to EPEL itself is not really possible either, since protobuf-lite and the other packages *are* available from RHEL/CentOS.

Thanks in advance!

Filipe

Comment 4 Adrian Reber 2020-01-09 07:31:17 UTC
Filipe, we are working on getting protobuf-lite-devel into CRB.

Comment 5 Filipe Brandenburger 2020-02-27 22:11:25 UTC
Hi Adrian!

Any updates to this one? Did it make it into CRB?

Thanks!
Filipe

Comment 6 Josh Boyer 2020-02-28 13:58:48 UTC
(In reply to Filipe Brandenburger from comment #5)
> Hi Adrian!
> 
> Any updates to this one? Did it make it into CRB?
> 
> Thanks!
> Filipe

Hi Filipe,

This is work in progress for a future RHEL minor release.  More information will be added when it is available.

Comment 17 Chao Ye 2020-07-10 06:19:01 UTC
Confirm protobuf-lite-devel is now included in CRB repo:
=============================================================
[root@dell-per720-01 ~]# yum info protobuf-lite-devel --enablerepo=beaker-CRB
Updating Subscription Management repositories.
Unable to read consumer identity

This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.

beaker-CRB                                                               34 MB/s | 1.9 MB     00:00    
Available Packages
Name         : protobuf-lite-devel
Version      : 3.5.0
Release      : 13.el8
Architecture : i686
Size         : 16 k
Source       : protobuf-3.5.0-13.el8.src.rpm
Repository   : beaker-CRB
Summary      : Protocol Buffers LITE_RUNTIME development libraries
URL          : https://github.com/google/protobuf
License      : BSD
Description  : This package contains development libraries built with
             : optimize_for = LITE_RUNTIME.
             : 
             : The "optimize_for = LITE_RUNTIME" option causes the compiler to generate code
             : which only depends libprotobuf-lite, which is much smaller than libprotobuf but
             : lacks descriptors, reflection, and some other features.

Name         : protobuf-lite-devel
Version      : 3.5.0
Release      : 13.el8
Architecture : x86_64
Size         : 16 k
Source       : protobuf-3.5.0-13.el8.src.rpm
Repository   : beaker-CRB
Summary      : Protocol Buffers LITE_RUNTIME development libraries
URL          : https://github.com/google/protobuf
License      : BSD
Description  : This package contains development libraries built with
             : optimize_for = LITE_RUNTIME.
             : 
             : The "optimize_for = LITE_RUNTIME" option causes the compiler to generate code
             : which only depends libprotobuf-lite, which is much smaller than libprotobuf but
             : lacks descriptors, reflection, and some other features.


Move to VERIFIED.

Comment 20 errata-xmlrpc 2020-11-04 03:24:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (protobuf bug fix and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4733


Note You need to log in before you can comment on or make changes to this bug.